Index: /code/branches/tutorial/data/levels/tutorial.oxw
===================================================================
--- /code/branches/tutorial/data/levels/tutorial.oxw	(revision 8011)
+++ /code/branches/tutorial/data/levels/tutorial.oxw	(revision 8012)
@@ -34,4 +34,12 @@
     
     <!-- TODO: Insert drone here. -->
+    <AutonomousDrone primaryThrust=100 auxilaryThrust=30 rotationThrust=25 collisionType="dynamic" mass = 50 linearDamping = 0.9 angularDamping = 0.7>
+        <attached>
+            <Model scale="10" mesh="drone.mesh"/>
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
+        </collisionShapes>
+    </AutonomousDrone>
 
   </Scene>
Index: /code/branches/tutorial/src/orxonox/controllers/AutonomousDroneController.cc
===================================================================
--- /code/branches/tutorial/src/orxonox/controllers/AutonomousDroneController.cc	(revision 8011)
+++ /code/branches/tutorial/src/orxonox/controllers/AutonomousDroneController.cc	(revision 8012)
@@ -35,4 +35,6 @@
 {
 
+    CreateFactory(AutonomousDroneController);
+
     /**
     @brief
@@ -46,4 +48,5 @@
         // Make sure to register the object in the factory.
         // Do some kind of initialisation.
+        RegisterObject(AutonomousDroneController);
 
         // This checks that our creator really is a drone
@@ -78,4 +81,5 @@
         // - rotatePitch, rotateYaw, rotateRoll
         // Apply the to myDrone (e.g. myDrone->rotateYaw(..) )
+        myDrone->rotateYaw(dt);
 
     }
Index: /code/branches/tutorial/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- /code/branches/tutorial/src/orxonox/controllers/CMakeLists.txt	(revision 8011)
+++ /code/branches/tutorial/src/orxonox/controllers/CMakeLists.txt	(revision 8012)
@@ -1,3 +1,4 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+  AutonomousDroneController.cc
   Controller.cc
   HumanController.cc
Index: /code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.cc
===================================================================
--- /code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.cc	(revision 8011)
+++ /code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.cc	(revision 8012)
@@ -36,4 +36,5 @@
     //TODO: Put your code in here:
     // Create the factory for the drone.
+    CreateFactory(AutonomousDrone);
 
     /**
@@ -47,4 +48,5 @@
         //TODO: Put your code in here:
         // Register the drone class to the core.
+        RegisterObject(AutonomousDrone);
 
         this->myController_ = NULL;
@@ -84,7 +86,9 @@
         //TODO: Put your code in here:
         // Make sure you add the variables auxiliaryThrust_ and rotationThrust_ to XMLPort.
-        // Make sure that the set- and get-functions exist.
+        // Make sure that you also create the get- and set-functions. As you can see, the get- and set-functions for the variable primaryThrust_ has already been specified, so you can get your inspiration from there.
         // Variables can be added by the following command
-        // XMLPortParam(Classname, "xml-attribute-name (i.e. variablename)", setFunction, getFunction, xmlelement, mode)
+        // XMLPortParam(Classname, "xml-attribute-name (i.e. variablename)", setFunction, getFunction, xmlelement, mode);
+        XMLPortParam(AutonomousDrone, "auxiliaryThrust", setAuxiliaryThrust, getAuxiliaryThrust, xmlelement, mode);
+        XMLPortParam(AutonomousDrone, "rotationThrust", setRotationThrust, getRotationThrust, xmlelement, mode);
 
     }
Index: /code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.h
===================================================================
--- /code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.h	(revision 8011)
+++ /code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.h	(revision 8012)
@@ -109,5 +109,17 @@
             //TODO: Place your set-functions here.
             // - hint: auxiliary thrust, rotation thrust.
-
+            /**
+            @brief Sets the auxiliary thrust to the input amount.
+            @param thrust The amount of thrust.
+            */
+            inline void setAuxiliaryThrust( float thrust )
+                { this->auxiliaryThrust_ = thrust; }
+            /**
+            @brief Sets the rotation thrust to the input amount.
+            @param thrust The amount of thrust.
+            */
+            inline void setRotationThrust( float thrust )
+                { this->rotationThrust_ = thrust; }
+            
             /**
             @brief Gets the primary thrust to the input amount.
@@ -117,4 +129,16 @@
                 { return this->primaryThrust_; }
             //TODO: Place your get-functions here.
+            /**
+            @brief Gets the auxiliary thrust to the input amount.
+            @return The amount of thrust.
+            */
+            inline float getAuxiliaryThrust()
+                { return this->auxiliaryThrust_; }
+                /**
+            @brief Gets the rotation thrust to the input amount.
+            @return The amount of thrust.
+            */
+            inline float getRotationThrust()
+                { return this->auxiliaryThrust_; }
 
         private:
Index: /code/branches/tutorial/src/orxonox/worldentities/CMakeLists.txt
===================================================================
--- /code/branches/tutorial/src/orxonox/worldentities/CMakeLists.txt	(revision 8011)
+++ /code/branches/tutorial/src/orxonox/worldentities/CMakeLists.txt	(revision 8012)
@@ -1,3 +1,4 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+  AutonomousDrone.cc
   WorldEntity.cc
   StaticEntity.cc