Index: /code/branches/kicklib/cmake/CompilerConfigGCC.cmake
===================================================================
--- /code/branches/kicklib/cmake/CompilerConfigGCC.cmake	(revision 8072)
+++ /code/branches/kicklib/cmake/CompilerConfigGCC.cmake	(revision 8073)
@@ -65,6 +65,5 @@
 
 # CMake doesn't seem to set the PIC flags right on certain 64 bit systems
-# Todo: MinGW too?
-IF(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+IF(NOT MINGW AND ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
   ADD_COMPILER_FLAGS("-fPIC" CACHE)
 ENDIF()
Index: /code/branches/kicklib/cmake/LibraryConfig.cmake
===================================================================
--- /code/branches/kicklib/cmake/LibraryConfig.cmake	(revision 8072)
+++ /code/branches/kicklib/cmake/LibraryConfig.cmake	(revision 8073)
@@ -48,5 +48,4 @@
 # Scripts for specific library and CMake config
 INCLUDE(LibraryConfigTardis)
-#INCLUDE(LibraryConfigOSX)
 
 IF(DEPENDENCY_PACKAGE_ENABLE)
Index: de/branches/kicklib/cmake/LibraryConfigOSX.cmake
===================================================================
--- /code/branches/kicklib/cmake/LibraryConfigOSX.cmake	(revision 8072)
+++ 	(revision )
@@ -1,29 +1,0 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #
- #  Author:
- #    Kevin Young
- #  Description:
- #    Sets necessary library options and paths on Mac.
- #
-
-IF(APPLE)
-  MESSAGE(STATUS "Running on Apple. Using customized paths and options.")
-  
-ENDIF(APPLE)
Index: /code/branches/kicklib/cmake/PackageConfigMSVC.cmake
===================================================================
--- /code/branches/kicklib/cmake/PackageConfigMSVC.cmake	(revision 8072)
+++ /code/branches/kicklib/cmake/PackageConfigMSVC.cmake	(revision 8073)
@@ -59,4 +59,6 @@
   SET(TCL_LIBRARY  ${DEP_LIBRARY_DIR}/tcl85.lib CACHE FILEPATH "")
   SET(ZLIB_LIBRARY ${DEP_LIBRARY_DIR}/zdll.lib  CACHE FILEPATH "")
+  # Part of Platform SDK and usually gets linked automatically
+  SET(WMI_LIBRARY  wbemuuid.lib)
 
 ENDIF(MSVC)
Index: /code/branches/kicklib/cmake/PackageConfigMinGW.cmake
===================================================================
--- /code/branches/kicklib/cmake/PackageConfigMinGW.cmake	(revision 8072)
+++ /code/branches/kicklib/cmake/PackageConfigMinGW.cmake	(revision 8073)
@@ -53,3 +53,7 @@
   SET(ZLIB_LIBRARY ${DEP_BINARY_DIR}/libzlib.dll CACHE FILEPATH "")
 
+  # Not included in MinGW, so we need to supply it for OIS
+  SET(WMI_INCLUDE_DIR ${DEP_INCLUDE_DIR}/wmi/include)
+  SET(WMI_LIBRARY     ${DEP_LIBRARY_DIR}/wbemuuid.lib)
+
 ENDIF(MINGW)
Index: /code/branches/kicklib/cmake/PackageConfigOSX.cmake
===================================================================
--- /code/branches/kicklib/cmake/PackageConfigOSX.cmake	(revision 8072)
+++ /code/branches/kicklib/cmake/PackageConfigOSX.cmake	(revision 8073)
@@ -51,4 +51,11 @@
 SET(ENV{OGRE_PLUGIN_DIR}       ${DEP_BINARY_DIR})
 
+# For OS X 10.5 we have to ship modified headers to make it compile
+# on gcc >= 4.2 (binaries stay the same)
+# Sets the library path for the FIND_LIBRARY
+IF(CMAKE_SYSTEM_VERSION STREQUAL "10.5")
+  SET(ENV{OPENALDIR} ${DEP_INCLUDE_DIR}/openal)
+ENDIF()
+
 # Xcode won't be able to run the toluabind code generation if we're using the dependency package
 #IF(DEPENDENCY_PACKAGE_ENABLE)
Index: /code/branches/kicklib/cmake/tools/FindALUT.cmake
===================================================================
--- /code/branches/kicklib/cmake/tools/FindALUT.cmake	(revision 8072)
+++ /code/branches/kicklib/cmake/tools/FindALUT.cmake	(revision 8073)
@@ -1,35 +1,44 @@
-# Find ALUT includes and library
-#
-# This module defines
-#  ALUT_INCLUDE_DIR
-#  ALUT_LIBRARY, the library to link against to use ALUT.
-#  ALUT_FOUND, If false, do not try to use ALUT
-#
-# Copyright © 2007, Matt Williams
-# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture
-# of the ETH Zurich (removed later on)
-#
-# Redistribution and use is allowed according to the terms of the BSD license.
-#
-# Several changes and additions by Fabian 'x3n' Landau
-# Lots of simplifications by Adrian Friedli
-# Version checking by Reto Grieder
-# Adaption of the OGRE find script to ALUT by Kevin Young
-#                 > www.orxonox.net <
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Kevin Young
+ #  Description:
+ #    Variables defined:
+ #      ALUT_FOUND
+ #      ALUT_INCLUDE_DIR
+ #      ALUT_LIBRARY
+ #
 
-INCLUDE(FindPackageHandleAdvancedArgs)
+INCLUDE(FindPackageHandleStandardArgs)
 INCLUDE(HandleLibraryTypes)
 
 FIND_PATH(ALUT_INCLUDE_DIR alut.h
   PATHS $ENV{ALUTDIR}
-  PATH_SUFFIXES include include/AL ALUT
+  PATH_SUFFIXES include include/AL Headers Headers/AL
 )
 FIND_LIBRARY(ALUT_LIBRARY_OPTIMIZED
-  NAMES ALUT alut
+  NAMES alut ALUT
   PATHS $ENV{ALUTDIR}
   PATH_SUFFIXES lib bin/Release bin/release Release release ALUT
 )
 FIND_LIBRARY(ALUT_LIBRARY_DEBUG
-  NAMES ALUTD alutd alut_d alutD alut_D
+  NAMES alutd alut_d alutD alut_D ALUTd ALUT_d ALUTD ALUT_D
   PATHS $ENV{ALUTDIR}
   PATH_SUFFIXES lib bin/Debug bin/debug Debug debug ALUT
@@ -37,6 +46,5 @@
 
 # Handle the REQUIRED argument and set ALUT_FOUND
-# Also check the version requirements
-FIND_PACKAGE_HANDLE_ADVANCED_ARGS(ALUT DEFAULT_MSG
+FIND_PACKAGE_HANDLE_STANDARD_ARGS(ALUT DEFAULT_MSG
   ALUT_LIBRARY_OPTIMIZED
   ALUT_INCLUDE_DIR
Index: /code/branches/kicklib/src/OrxonoxConfig.cmake
===================================================================
--- /code/branches/kicklib/src/OrxonoxConfig.cmake	(revision 8072)
+++ /code/branches/kicklib/src/OrxonoxConfig.cmake	(revision 8073)
@@ -69,14 +69,11 @@
 ENDIF(MSVC)
 
-# Part of a woraround for OS X warnings. See OrxonoxConfig.h.in
-IF(HAVE_STDINT_H)
-  SET(HAVE_STDINT_H 1)
-ELSE()
-  SET(HAVE_STDINT_H 0)
-ENDIF()
-
-# Check iso646.h include (literal operators)
+# Check some non standard system includes
 INCLUDE(CheckIncludeFileCXX)
 CHECK_INCLUDE_FILE_CXX(iso646.h HAVE_ISO646_H)
+CHECK_INCLUDE_FILE_CXX(stdint.h HAVE_STDINT_H)
+
+# Part of a woraround for OS X warnings. See OrxonoxConfig.h.in
+SET(ORX_HAVE_STDINT_H ${HAVE_STDINT_H})
 
 IF(MSVC)
Index: /code/branches/kicklib/src/OrxonoxConfig.h.in
===================================================================
--- /code/branches/kicklib/src/OrxonoxConfig.h.in	(revision 8072)
+++ /code/branches/kicklib/src/OrxonoxConfig.h.in	(revision 8073)
@@ -162,7 +162,8 @@
 
 // On OS X some headers already define HAVE_STDINT_H and that spits out
-// some warnings. Therefore we use this syntax.
+// some warnings. Therefore we use this macro.
 // Note: This requires some extra code in OrxonoxConfig.cmake
-#if @HAVE_STDINT_H@
+#cmakedefine ORX_HAVE_STDINT_H
+#ifdef ORX_HAVE_STDINT_H
 #  include <stdint.h>
 #elif defined(ORXONOX_COMPILER_MSVC)
Index: /code/branches/kicklib/src/external/bullet/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp
===================================================================
--- /code/branches/kicklib/src/external/bullet/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp	(revision 8072)
+++ /code/branches/kicklib/src/external/bullet/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp	(revision 8073)
@@ -38,10 +38,4 @@
 int gNumGjkChecks = 0;
 
-#ifdef check
-struct CompilerError
-{
-    void CompilerError() {}
-};
-#endif
 
 btGjkPairDetector::btGjkPairDetector(const btConvexShape* objectA,const btConvexShape* objectB,btSimplexSolverInterface* simplexSolver,btConvexPenetrationDepthSolver*	penetrationDepthSolver)
Index: /code/branches/kicklib/src/external/ois/CMakeLists.txt
===================================================================
--- /code/branches/kicklib/src/external/ois/CMakeLists.txt	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/CMakeLists.txt	(revision 8073)
@@ -35,5 +35,5 @@
   OISPrereqs.h
 
-  #COMPILATION_BEGIN OISCompilation.cpp
+#COMPILATION_BEGIN OISCompilation.cpp
   OISEffect.cpp
   OISException.cpp
@@ -43,5 +43,5 @@
   OISKeyboard.cpp
   OISObject.cpp
-  #COMPILATION_END
+#COMPILATION_END
 )
 IF(WIN32)
@@ -53,4 +53,12 @@
 ENDIF()
 
+# Some unexplained hackery for Visual Studio 2005
+ADD_COMPILER_FLAGS("-D_WIN32_DCOM" MSVC8)
+
+# MinGW doesn't come with some required Windows headers
+IF(MINGW)
+  INCLUDE_DIRECTORIES(${WMI_INCLUDE_DIR})
+ENDIF()
+
 ORXONOX_ADD_LIBRARY(ois_orxonox
   ORXONOX_EXTERNAL
@@ -58,5 +66,5 @@
     "OIS_NONCLIENT_BUILD"
   VERSION
-    1.2
+    1.3
   SOURCE_FILES
     ${OIS_FILES}
@@ -64,5 +72,5 @@
 
 IF(WIN32)
-  TARGET_LINK_LIBRARIES(ois_orxonox ${DIRECTX_LIBRARIES})
+  TARGET_LINK_LIBRARIES(ois_orxonox ${DIRECTX_LIBRARIES} ${WMI_LIBRARY})
 ELSEIF(APPLE)
   TARGET_LINK_LIBRARIES(ois_orxonox "/System/Library/Frameworks/IOKit.framework" "/System/Library/Frameworks/Carbon.framework")
Index: /code/branches/kicklib/src/external/ois/OISPrereqs.h
===================================================================
--- /code/branches/kicklib/src/external/ois/OISPrereqs.h	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/OISPrereqs.h	(revision 8073)
@@ -101,7 +101,7 @@
 //-------------- Common Classes, Enums, and Typdef's -------------------------//
 #define OIS_VERSION_MAJOR 1
-#define OIS_VERSION_MINOR 4
+#define OIS_VERSION_MINOR 3
 #define OIS_VERSION_PATCH 0
-#define OIS_VERSION_NAME "1.4.0"
+#define OIS_VERSION_NAME "1.3.0"
 
 #define OIS_VERSION ((OIS_VERSION_MAJOR << 16) | (OIS_VERSION_MINOR << 8) | OIS_VERSION_PATCH)
Index: /code/branches/kicklib/src/external/ois/VERSION
===================================================================
--- /code/branches/kicklib/src/external/ois/VERSION	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/VERSION	(revision 8073)
@@ -1,2 +1,2 @@
-OIS SVN trunk updated on 2010/10/07 (revision 26)
-https://wgois.svn.sourceforge.net/svnroot/wgois/ois/trunk/
+OIS SVN v1.3 branch updated on 2011/02/20 (revision 32)
+https://wgois.svn.sourceforge.net/svnroot/wgois/ois/branches/v1-3/
Index: /code/branches/kicklib/src/external/ois/changes_orxonox.diff
===================================================================
--- /code/branches/kicklib/src/external/ois/changes_orxonox.diff	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/changes_orxonox.diff	(revision 8073)
@@ -49,4 +49,47 @@
 
 
+--- win32/Win32JoyStick.cpp
++++ win32/Win32JoyStick.cpp
+@@ -26,6 +26,14 @@
+ #include "OISEvents.h"
+ #include "OISException.h"
+ 
++// (Orxonox): Required for MinGW to compile properly
++#ifdef __MINGW32__
++#  include <oaidl.h>
++#  ifndef __MINGW_EXTENSION
++#    define __MINGW_EXTENSION __extension__
++#  endif
++#endif
++
+ #include <cassert>
+ #include <wbemidl.h>
+ #include <oleauto.h>
+@@ -39,6 +47,11 @@
+    }
+ #endif
+ 
++// (Orxonox): MinGW doesn't have swscanf_s
++#ifdef __MINGW32__
++#	define swscanf_s swscanf
++#endif
++
+ #ifdef OIS_WIN32_XINPUT_SUPPORT
+ #	pragma comment(lib, "xinput.lib")
+ #endif
+@@ -583,7 +596,12 @@
+     bool bCleanupCOM = SUCCEEDED(hr);
+ 
+     // Create WMI
++    // (Orxonox): Fix for MinGW
++#ifdef __MINGW32__
++    hr = CoCreateInstance(CLSID_WbemLocator, NULL, CLSCTX_INPROC_SERVER, IID_IWbemLocator, (LPVOID*)&pIWbemLocator);
++#else
+     hr = CoCreateInstance(__uuidof(WbemLocator), NULL, CLSCTX_INPROC_SERVER, __uuidof(IWbemLocator), (LPVOID*)&pIWbemLocator);
++#endif
+     if( FAILED(hr) || pIWbemLocator == NULL )
+         goto LCleanup;
+ 
+
 --- mac/MacHIDManager.cpp
 +++ mac/MacHIDManager.cpp
Index: /code/branches/kicklib/src/external/ois/linux/LinuxKeyboard.cpp
===================================================================
--- /code/branches/kicklib/src/external/ois/linux/LinuxKeyboard.cpp	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/linux/LinuxKeyboard.cpp	(revision 8073)
@@ -284,5 +284,7 @@
 	while( XPending(display) > 0 )
 	{
-		XNextEvent(display, &event); 		if(KeyPress == event.type)
+		XNextEvent(display, &event);
+
+		if(KeyPress == event.type)
 		{
 			unsigned int character = 0;
Index: /code/branches/kicklib/src/external/ois/mac/CMakeLists.txt
===================================================================
--- /code/branches/kicklib/src/external/ois/mac/CMakeLists.txt	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/mac/CMakeLists.txt	(revision 8073)
@@ -8,5 +8,5 @@
   MacPrereqs.h
 
-  #COMPILATION_BEGIN OISMacCompilation.cpp
+#COMPILATION_BEGIN OISMacCompilation.cpp
   MacHelpers.cpp
   MacHIDManager.cpp
@@ -15,4 +15,4 @@
   MacKeyboard.cpp
   MacMouse.cpp
-  #COMPILATION_END
+#COMPILATION_END
 )
Index: /code/branches/kicklib/src/external/ois/win32/Win32JoyStick.cpp
===================================================================
--- /code/branches/kicklib/src/external/ois/win32/Win32JoyStick.cpp	(revision 8072)
+++ /code/branches/kicklib/src/external/ois/win32/Win32JoyStick.cpp	(revision 8073)
@@ -26,4 +26,12 @@
 #include "OISEvents.h"
 #include "OISException.h"
+
+// (Orxonox): Required for MinGW to compile properly
+#ifdef __MINGW32__
+#  include <oaidl.h>
+#  ifndef __MINGW_EXTENSION
+#    define __MINGW_EXTENSION __extension__
+#  endif
+#endif
 
 #include <cassert>
@@ -38,4 +46,9 @@
       x = NULL;         \
    }
+#endif
+
+// (Orxonox): MinGW doesn't have swscanf_s
+#ifdef __MINGW32__
+#	define swscanf_s swscanf
 #endif
 
@@ -584,5 +597,10 @@
 
     // Create WMI
+    // (Orxonox): Fix for MinGW
+#ifdef __MINGW32__
+    hr = CoCreateInstance(CLSID_WbemLocator, NULL, CLSCTX_INPROC_SERVER, IID_IWbemLocator, (LPVOID*)&pIWbemLocator);
+#else
     hr = CoCreateInstance(__uuidof(WbemLocator), NULL, CLSCTX_INPROC_SERVER, __uuidof(IWbemLocator), (LPVOID*)&pIWbemLocator);
+#endif
     if( FAILED(hr) || pIWbemLocator == NULL )
         goto LCleanup;
Index: /code/branches/kicklib/src/libraries/core/DynLib.h
===================================================================
--- /code/branches/kicklib/src/libraries/core/DynLib.h	(revision 8072)
+++ /code/branches/kicklib/src/libraries/core/DynLib.h	(revision 8073)
@@ -110,4 +110,5 @@
 
     protected:
+
         /// Handle to the loaded library.
         DYNLIB_HANDLE m_hInst;
Index: /code/branches/kicklib/src/libraries/core/GUIManager.cc
===================================================================
--- /code/branches/kicklib/src/libraries/core/GUIManager.cc	(revision 8072)
+++ /code/branches/kicklib/src/libraries/core/GUIManager.cc	(revision 8073)
@@ -369,4 +369,9 @@
         false                     | False | True  | Dontcare
         */
+
+#ifdef ORXONOX_PLATFORM_APPLE
+        // There is no non exclusive mode on OS X yet
+        state->setMouseExclusive(TriBool::True);
+#else
         if (showCursor == TriBool::Dontcare)
             state->setMouseExclusive(TriBool::Dontcare);
@@ -375,4 +380,5 @@
         else
             state->setMouseExclusive(TriBool::False);
+#endif
 
         if (showCursor == TriBool::True)
@@ -436,5 +442,4 @@
     void GUIManager::buttonPressed(MouseButtonCode::ByEnum id)
     {
-        //guiSystem_->injectMouseButtonDown(convertButton(id));
         this->protectedCall(boost::bind(&CEGUI::System::injectMouseButtonDown, _1, convertButton(id)));
     }
Index: /code/branches/kicklib/src/libraries/core/GraphicsManager.cc
===================================================================
--- /code/branches/kicklib/src/libraries/core/GraphicsManager.cc	(revision 8072)
+++ /code/branches/kicklib/src/libraries/core/GraphicsManager.cc	(revision 8073)
@@ -269,5 +269,5 @@
 
         Ogre::WindowEventUtilities::addWindowEventListener(this->renderWindow_, ogreWindowEventListener_.get());
-		
+
 // HACK
 #ifdef ORXONOX_PLATFORM_APPLE
@@ -278,5 +278,5 @@
 #endif
 // End of HACK
-		
+
         // create a full screen default viewport
         // Note: This may throw when adding a viewport with an existing z-order!
Index: /code/branches/kicklib/src/libraries/core/PathConfig.cc
===================================================================
--- /code/branches/kicklib/src/libraries/core/PathConfig.cc	(revision 8072)
+++ /code/branches/kicklib/src/libraries/core/PathConfig.cc	(revision 8073)
@@ -208,6 +208,4 @@
 #ifdef ORXONOX_PLATFORM_UNIX
             char* userDataPathPtr(getenv("HOME"));
-#elif ORXONOX_PLATFORM_APPLE
-            char* userDataPathPtr(getenv("HOME"));
 #else
             char* userDataPathPtr(getenv("APPDATA"));
Index: /code/branches/kicklib/src/orxonox/MoodManager.cc
===================================================================
--- /code/branches/kicklib/src/orxonox/MoodManager.cc	(revision 8072)
+++ /code/branches/kicklib/src/orxonox/MoodManager.cc	(revision 8073)
@@ -50,6 +50,6 @@
 
         // Checking for the existence of the folder for the default mood
-        const std::string& patha = "ambient/" + MoodManager::defaultMood_ + "/.";
-        if (!Resource::exists(patha))
+        const std::string& path = "ambient/" + MoodManager::defaultMood_ + "/.";
+        if (!Resource::exists(path))
         {
             // TODO: Non-fatal error handling (non-critical resource missing)
Index: /code/branches/kicklib/src/orxonox/sound/BaseSound.cc
===================================================================
--- /code/branches/kicklib/src/orxonox/sound/BaseSound.cc	(revision 8072)
+++ /code/branches/kicklib/src/orxonox/sound/BaseSound.cc	(revision 8073)
@@ -31,10 +31,5 @@
 #include <cassert>
 #include <vector>
-
-#ifdef ORXONOX_PLATFORM_APPLE
-#include "openal/al.h"
-#else
 #include <al.h>
-#endif
 
 #include "util/Math.h"
Index: /code/branches/kicklib/src/orxonox/sound/SoundBuffer.cc
===================================================================
--- /code/branches/kicklib/src/orxonox/sound/SoundBuffer.cc	(revision 8072)
+++ /code/branches/kicklib/src/orxonox/sound/SoundBuffer.cc	(revision 8073)
@@ -30,9 +30,5 @@
 #include "SoundBuffer.h"
 
-#if defined(ORXONOX_PLATFORM_APPLE)
-#include <ALUT/alut.h>
-#else
-#include <AL/alut.h>
-#endif
+#include <alut.h>
 #include <vorbis/vorbisfile.h>
 
Index: /code/branches/kicklib/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/kicklib/src/orxonox/sound/SoundManager.cc	(revision 8072)
+++ /code/branches/kicklib/src/orxonox/sound/SoundManager.cc	(revision 8073)
@@ -31,10 +31,6 @@
 #include "SoundManager.h"
 
-#if defined(__APPLE__)
-#include <ALUT/alut.h>
-#else
-#include <AL/alut.h>
-#endif
 #include <utility>
+#include <alut.h>
 #include <loki/ScopeGuard.h>
 
@@ -85,5 +81,5 @@
         SetConfigValue(bDisableSound_, false);
         if (bDisableSound_)
-            ThrowException(InitialisationAborted, "Sound: Not loading at all");        
+            ThrowException(InitialisationAborted, "Sound: Not loading at all");
         if (!alutInitWithoutContext(NULL, NULL))
             ThrowException(InitialisationFailed, "Sound Error: ALUT initialisation failed: " << alutGetErrorString(alutGetError()));
@@ -133,8 +129,8 @@
         GameMode::setPlaysSound(true);
         Loki::ScopeGuard resetPlaysSoundGuard = Loki::MakeGuard(&GameMode::setPlaysSound, false);
-        
+
         // Get some information about the sound
         if (const char* version = alGetString(AL_VERSION))
-            COUT(4) << "Sound: --- OpenAL Version: " << version << std::endl;            
+            COUT(4) << "Sound: --- OpenAL Version: " << version << std::endl;
         if (const char* vendor = alGetString(AL_VENDOR))
             COUT(4) << "Sound: --- OpenAL Vendor : " << vendor << std::endl;
Index: /code/branches/kicklib/src/orxonox/sound/SoundStreamer.cc
===================================================================
--- /code/branches/kicklib/src/orxonox/sound/SoundStreamer.cc	(revision 8072)
+++ /code/branches/kicklib/src/orxonox/sound/SoundStreamer.cc	(revision 8073)
@@ -27,10 +27,5 @@
 #include "SoundStreamer.h"
 
-#ifdef ORXONOX_PLATFORM_APPLE
-#include "openal/al.h"
-#else
 #include <al.h>
-#endif
-
 #include <vorbis/vorbisfile.h>
 #include "SoundManager.h"
Index: /code/branches/kicklib/src/orxonox/sound/WorldSound.cc
===================================================================
--- /code/branches/kicklib/src/orxonox/sound/WorldSound.cc	(revision 8072)
+++ /code/branches/kicklib/src/orxonox/sound/WorldSound.cc	(revision 8073)
@@ -30,9 +30,6 @@
 #include "WorldSound.h"
 
-#if defined(__APPLE__)
-#include <ALUT/alut.h>
-#else
-#include <AL/alut.h>
-#endif
+#include <alut.h>
+
 #include "util/Math.h"
 #include "core/CoreIncludes.h"