Index: branches/water/src/lib/graphics/importer/material.cc
===================================================================
--- branches/water/src/lib/graphics/importer/material.cc	(revision 8063)
+++ branches/water/src/lib/graphics/importer/material.cc	(revision 8089)
@@ -103,5 +103,5 @@
  * @brief sets the material with which the following Faces will be painted
  */
-bool Material::select() const
+  bool Material::select() const
 {
   if (unlikely(this == Material::selectedMaterial))
Index: branches/water/src/lib/graphics/importer/texture.cc
===================================================================
--- branches/water/src/lib/graphics/importer/texture.cc	(revision 8063)
+++ branches/water/src/lib/graphics/importer/texture.cc	(revision 8089)
@@ -115,9 +115,27 @@
 
 
-Texture::Texture(GLenum target)
+Texture::Texture(GLenum target, unsigned int width, unsigned int height, unsigned int channels, GLenum type)
 {
   this->init();
-  GLuint texture;
+  GLuint texture = 0;
   Texture::generateTexture(texture, target);
+
+  glBindTexture(target, texture);
+
+  unsigned int* pixels = new unsigned int[width * height * channels];
+  memset(pixels, 0, width * height * channels * sizeof(unsigned int));
+  
+  
+  glTexParameterf(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_LINEAR);
+  glTexParameterf(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_LINEAR);
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_CLAMP_TO_EDGE);
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_CLAMP_TO_EDGE);
+
+  glTexImage2D(target, 0, channels, width, height, 0, type, GL_UNSIGNED_INT, pixels);
+  
+  
+  
+  delete[] pixels;
+
   this->data->setTexture(texture);
 }
@@ -346,4 +364,8 @@
   //  printf("%s, w:%d h:%d, 0x%x\n", this->getName(), surface->w, surface->h, target);
 
+  /* control the mipmap levels */
+  glTexParameterf(GL_TEXTURE_ENV, GL_TEXTURE_MIN_LOD, 5);
+  glTexParameterf(GL_TEXTURE_ENV, GL_TEXTURE_MAX_LOD, 0);
+
   // build the MipMaps automaticaly
   errorCode = gluBuild2DMipmaps(target, format,
@@ -372,6 +394,3 @@
   glTexParameteri(target, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
 
-  /* control the mipmap levels */
-  glTexParameterf(GL_TEXTURE_ENV, GL_TEXTURE_MIN_LOD, 5);
-  glTexParameterf(GL_TEXTURE_ENV, GL_TEXTURE_MAX_LOD, 0);
-}
+}
Index: branches/water/src/lib/graphics/importer/texture.h
===================================================================
--- branches/water/src/lib/graphics/importer/texture.h	(revision 8063)
+++ branches/water/src/lib/graphics/importer/texture.h	(revision 8089)
@@ -50,5 +50,5 @@
   Texture();
   Texture(const Texture& texture);
-  Texture(GLenum target);
+  Texture(GLenum target, unsigned int width, unsigned int height, unsigned int channels, GLenum type);
   Texture(const std::string& imageName, GLenum target = GL_TEXTURE_2D);
   Texture(SDL_Surface* surface, GLenum target = GL_TEXTURE_2D);
Index: branches/water/src/lib/gui/gl_gui/glgui_cursor.cc
===================================================================
--- branches/water/src/lib/gui/gl_gui/glgui_cursor.cc	(revision 8063)
+++ branches/water/src/lib/gui/gl_gui/glgui_cursor.cc	(revision 8089)
@@ -32,6 +32,6 @@
     this->init();
 
-    this->subscribeEvent(ES_MENU,  EV_MOUSE_MOTION);
-    this->subscribeEvent(ES_MENU, EV_WINDOW_FOCUS);
+    this->subscribeEvent(ES_ALL,  EV_MOUSE_MOTION);
+    this->subscribeEvent(ES_ALL, EV_WINDOW_FOCUS);
 
 
Index: branches/water/src/lib/gui/gl_gui/glgui_handler.cc
===================================================================
--- branches/water/src/lib/gui/gl_gui/glgui_handler.cc	(revision 8063)
+++ branches/water/src/lib/gui/gl_gui/glgui_handler.cc	(revision 8089)
@@ -40,10 +40,10 @@
 
 
-    EventHandler::getInstance()->withUNICODE(ES_MENU, true );
+    EventHandler::getInstance()->withUNICODE(ES_ALL, true );
 
     this->cursor = NULL;
     for (unsigned int i = 0; i < EV_NUMBER; i++)
     {
-      this->subscribeEvent(ES_MENU, i);
+      this->subscribeEvent(ES_ALL, i);
     }
   }
Index: branches/water/src/lib/gui/gl_gui/glgui_widget.cc
===================================================================
--- branches/water/src/lib/gui/gl_gui/glgui_widget.cc	(revision 8063)
+++ branches/water/src/lib/gui/gl_gui/glgui_widget.cc	(revision 8089)
@@ -204,4 +204,5 @@
 
 
+
   void GLGuiWidget::hide()
   {
Index: branches/water/src/lib/gui/gl_gui/glgui_widget.h
===================================================================
--- branches/water/src/lib/gui/gl_gui/glgui_widget.h	(revision 8063)
+++ branches/water/src/lib/gui/gl_gui/glgui_widget.h	(revision 8089)
@@ -42,5 +42,4 @@
     void show();
     void hide();
-
 
     void setParentWidget(GLGuiWidget* parent);