Index: data/pool/images/decals/AUTHORS
===================================================================
--- data/pool/images/decals/AUTHORS	(revision 8157)
+++ data/pool/images/decals/AUTHORS	(revision 8157)
@@ -0,0 +1,5 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                          Author
+decal.jpg                                     Felix Schulthess
+
Index: data/pool/images/effects/AUTHORS
===================================================================
--- data/pool/images/effects/AUTHORS	(revision 8157)
+++ data/pool/images/effects/AUTHORS	(revision 8157)
@@ -0,0 +1,46 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                         Author
+3arrowsup.png                                Eric Beier and Benedict Simlinger
+arrow.png                                    Damian Frick
+asterix.png                                  Damian Frick
+atmosphere.png                               Felix Schulthess
+atmospheretype1.png                          Marian Runo
+atmospheretype2.png                          Marian Runo
+atmospheretype3.png                          Marian Runo
+atmospheretype4.png                          Marian Runo
+atmospheretype5.png                          Marian Runo
+backlightflare.png                           Fabian Landau
+backlighttrail.png                           Fabian Landau
+backlighttrail2.png                          David Gassner
+bigflame.png                                 unknown
+bigflare1.png                                Fabian Landau
+clouds.png                                   Benjamin de Capitani
+cross.png                                    Damian Frick
+explosion3.png                               Fabian Landau
+explosion.png                                unknown
+eye.png                                      Eric Beier and Benedict Simlinger
+flare2_1.png                                 David Gassner
+flare2.png                                   unknown
+flare.png                                    Felix Schulthess
+flaretrail.png                               unknown
+LightningBall_1.png                          Joël Smely
+LightningBall_2.png                          Joël Smely
+LightningBall_3.png                          Joël Smely
+LightningBall_4.png                          Joël Smely
+LightningBall_5.png                          Joël Smely
+LightningBall_6.png                          Joël Smely
+LightningBall_7.png                          Joël Smely
+LightningBall_8.png                          Joël Smely
+mapgrid.png                                  Si Sun
+ring_flare2.png                              unknown
+ring_flare.png                               unknown
+Sepia1D.png                                  Fabian Landau?
+shield.png                                   Eric Beier and Benedict Simlinger
+smoke2.png                                   Fabian Landau
+smoke3.png                                   Fabian Landau
+smoke4.png                                   Gion-Andri Cantieni
+smoke.png                                    Benjamin de Capitani
+smokecolors.png                              unknown
+streak.png                                   unknown
+
Index: data/pool/images/gui/AUTHORS
===================================================================
--- data/pool/images/gui/AUTHORS	(revision 8157)
+++ data/pool/images/gui/AUTHORS	(revision 8157)
@@ -0,0 +1,13 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                             Author
+DriveIcons.png                                   Reto Grieder?
+FairChar.png                                     Reto Grieder?
+main_menu_1.jpg                                  Reto Grieder
+pickup.png                                       Damian Frick, Eric Beier and Benedict Simlinger
+sleekspace.png                                   Seth Yastrov
+TaharezGreenLook.png                             Lars "Taharez" Rinde
+TaharezLook.png                                  Lars "Taharez" Rinde
+vanilla.png                                      Shane Parker
+WindowsLook.png                                  Paul "CrazyEddie" Turner
+
Index: data/pool/images/skyboxes/AUTHORS
===================================================================
--- data/pool/images/skyboxes/AUTHORS	(revision 8157)
+++ data/pool/images/skyboxes/AUTHORS	(revision 8157)
@@ -0,0 +1,22 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                        Author
+skypanoramagen1_bk.jpg                      Fabian Landau?
+skypanoramagen1_dn.jpg                      Fabian Landau?
+skypanoramagen1_fr.jpg                      Fabian Landau?
+skypanoramagen1_lf.jpg                      Fabian Landau?
+skypanoramagen1_rt.jpg                      Fabian Landau?
+skypanoramagen1_up.jpg                      Fabian Landau?
+skypanoramagen2_bk.jpg                      Fabian Landau?
+skypanoramagen2_dn.jpg                      Fabian Landau?
+skypanoramagen2_fr.jpg                      Fabian Landau?
+skypanoramagen2_lf.jpg                      Fabian Landau?
+skypanoramagen2_rt.jpg                      Fabian Landau?
+skypanoramagen2_up.jpg                      Fabian Landau?
+starbox_bk.jpg                              Felix Schulthess
+starbox_dn.jpg                              Felix Schulthess
+starbox_fr.jpg                              Felix Schulthess
+starbox_lf.jpg                              Felix Schulthess
+starbox_rt.jpg                              Felix Schulthess
+starbox_up.jpg                              Felix Schulthess
+
Index: data/pool/images/textures/AUTHORS
===================================================================
--- data/pool/images/textures/AUTHORS	(revision 8157)
+++ data/pool/images/textures/AUTHORS	(revision 8157)
@@ -0,0 +1,78 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                        Author
+assff.JPG                                   Felix Schulthess
+asteroid.png                                Benjamin de Capitani
+asteroid_ice.png                            Benjamin de Capitani
+babel-base2.jpg                             Georges Grondin (cc-by-sa)
+babel-trim3b.jpg                            Georges Grondin (cc-by-sa)
+babel-wall1a.jpg                            Georges Grondin (cc-by-sa)
+babel-wall1b.jpg                            Georges Grondin (cc-by-sa)
+babel-wall6a.jpg                            Georges Grondin (cc-by-sa)
+babel-wall6b.jpg                            Georges Grondin (cc-by-sa)
+can.png                                     Hagen Seifert
+CockpitGlass.jpg                            Mirko Kaiser
+CockpitNose.jpg                             Mirko Kaiser
+CockpitSide.png                             Mirko Kaiser
+crate.png                                   Reto Grieder
+CuboidConnectionBodySide.jpg                Mirko Kaiser
+CuboidConnectionBodyTop.jpg                 Mirko Kaiser
+dirt01.jpg                                  unknown
+Dirt.jpg                                    unknown
+dish.jpg                                    Felix Schulthess
+drone.png                                   unknown
+DuBall1.jpg                                 Rocco Bottani, Massimo Maffioli
+DuBall2.jpg                                 Rocco Bottani, Massimo Maffioli
+final_gold.png                              David Gassner
+flare3.png                                  David Gassner
+ghost_complete-texture_Cube.jpg             David Gassner
+glass01.png                                 Felix Schulthess?
+glass02.png                                 Felix Schulthess?
+GreenSkin.jpg                               unknown
+hs-w01s.png                                 Hagen Seifert
+hs-w01.png                                  Hagen Seifert
+hs-w01_reduced.png                          Benjamin de Capitani
+iceplanet.png                               Marian Runo
+laserbeam.png                               unknown
+Lightning_gun4.png                          Joël Smely
+Lightning_gun_pic2.png                      Joël Smely
+LightningGun.png                            Joël Smely
+LightningGun-s.png                          Joël Smely
+MetalBare.jpg                               Benjamin de Capitani
+MetalBase0020_thumbhuge.jpg                 Benjamin de Capitani
+MetalBase0030_thumbhuge.jpg                 Benjamin de Capitani
+MetalEdge.jpg                               Georges Grondin (cc-by-sa)
+OrxonoxBlack.png                            unknown
+OrxonoxGREEN.png                            Reto Grieder
+OrxonoxORANGE.png                           unknown
+OrxonoxRED.png                              unknown
+OrxonoxYELLOW.png                           Reto Grieder
+pirate.jpg                                  Felix Schulthess
+planet.jpg                                  Felix Schulthess
+PlasmaAufh_Aufh.jpg                         Benjamin de Capitani
+PlasmaBlau.png                              Benjamin de Capitani
+plasmagunParabol_Cylinder002.jpg            Benjamin de Capitani
+plasmaSilver_Tube.png                       Benjamin de Capitani
+PSO1024.jpg                                 Benjamin de Capitani
+rock.png                                    unknown
+rockettex.jpg                               Daniel Cristen
+rust.png                                    Felix Schulthess
+RustySteel.jpg                              unknown
+snowyWhite.jpg                              Mirko Kaiser
+spacecruiser_16.jpg                         Felix Schulthess
+Spaceshipbody.jpg                           unknown
+SpaceShipTransporter036_engine.jpg          Axel Bomhauer-Beins
+SpaceShipTransporter036_newtexture.jpg      Axel Bomhauer-Beins
+SpaceshipWings.jpg                          Benjamin de Capitani
+spacesruiser.png                            unknown
+sphere.png                                  Damian Frick
+starship.png                                unknown
+swallow_tex.png                             David Gassner
+texture.jpg                                 Benjamin de Capitani
+thrust.jpg                                  Felix Schulthess
+tiled_floor.jpg                             Reto Grieder
+transporter5Fluegel_Cube.jpg                Benjamin de Capitani
+transporter5Huelle-Cube.001.jpg             Benjamin de Capitani
+Triebwerk1_Cylinder.jpg                     Benjamin de Capitani
+wall01.jpg                                  Felix Schulthess
+
Index: data/pool/images/textures/seamless/AUTHORS
===================================================================
--- data/pool/images/textures/seamless/AUTHORS	(revision 8157)
+++ data/pool/images/textures/seamless/AUTHORS	(revision 8157)
@@ -0,0 +1,60 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                               Author
+sl_floor01.jpg                     Felix Schulthess
+sl_floor02.jpg                     Felix Schulthess
+sl_floor03.jpg                     Felix Schulthess
+sl_foil.jpg                        Felix Schulthess
+sl_hull01.jpg                      Felix Schulthess
+sl_hull02.jpg                      Felix Schulthess
+sl_hull03.jpg                      Felix Schulthess
+sl_hull04.jpg                      Felix Schulthess
+sl_metal02.jpg                     Felix Schulthess
+sl_metal03.jpg                     Felix Schulthess
+sl_metal04.jpg                     Felix Schulthess
+sl_metal05.jpg                     Felix Schulthess
+sl_metal06.jpg                     Felix Schulthess
+sl_metal07.jpg                     Felix Schulthess
+sl_metal.jpg                       Felix Schulthess
+sl_metal_001.png                   Martin Polak?
+sl_metal_002.png                   Martin Polak?
+sl_metal_003.png                   Martin Polak?
+sl_metal_004.png                   Martin Polak?
+sl_metal_005.png                   Martin Polak?
+sl_metal_006.png                   Martin Polak?
+sl_metal_007.png                   Martin Polak?
+sl_metal_008.png                   Martin Polak?
+sl_metal_009.png                   Martin Polak?
+sl_metal_010.png                   Martin Polak?
+sl_metal_011.png                   Martin Polak?
+sl_metal_012.png                   Martin Polak?
+sl_metal_013.png                   Martin Polak?
+sl_metal_014.png                   Martin Polak?
+sl_metal_015.png                   Martin Polak?
+sl_metal_016.png                   Martin Polak?
+sl_metal_017.png                   Martin Polak?
+sl_metal_018.png                   Martin Polak?
+sl_metal_019.png                   Martin Polak?
+sl_metal_020.png                   Martin Polak?
+sl_metal_021.png                   Martin Polak?
+sl_metal_022.png                   Martin Polak?
+sl_metal_023.png                   Martin Polak?
+sl_metal_024.png                   Martin Polak?
+sl_metal_025.png                   Martin Polak?
+sl_metal_026.png                   Martin Polak?
+sl_metal_027.png                   Martin Polak?
+sl_metal_028.png                   Martin Polak?
+sl_metal_029.png                   Martin Polak?
+sl_metal_030.png                   Martin Polak?
+sl_metal_031.png                   Martin Polak?
+sl_metal_032.png                   Martin Polak?
+sl_metal_034.png                   Martin Polak?
+sl_metal_035.png                   Martin Polak?
+sl_metal_036.png                   Martin Polak?
+sl_metal_037.png                   Martin Polak?
+sl_organic01.jpg                   Felix Schulthess
+sl_organic02.jpg                   Felix Schulthess
+sl_organic03.jpg                   Felix Schulthess
+sl_organic04.jpg                   Felix Schulthess
+sl_panel.jpg                       Felix Schulthess
+