Index: data/pool/models/AUTHORS
===================================================================
--- data/pool/models/AUTHORS	(revision 8159)
+++ data/pool/models/AUTHORS	(revision 8160)
@@ -18,21 +18,31 @@
 asteroids/asteroid_ice.mesh                   Benjamin de Capitani
 asteroids/asteroid_UV.mesh                    Benjamin de Capitani
-axes.mesh                                     Felix Schulthess
-BodyDebris1.mesh                              Benjamin de Capitani
+debris/assff/BodyDebris1.mesh                 Benjamin de Capitani
+debris/assff/CockpitDebris.mesh               Benjamin de Capitani
+debris/assff/SmallPart1.mesh                  Benjamin de Capitani
+debris/assff/SmallPart2.mesh                  Benjamin de Capitani
+debris/assff/WingDebris2.mesh                 Benjamin de Capitani
+debris/assff/WingDebris1.mesh                 Benjamin de Capitani
+primitives/axes/axes.mesh                     Felix Schulthess
+primitives/cone/Cone.mesh                     Felix Schulthess
+primitives/cube/cube.mesh                     Felix Schulthess
+primitives/cube/cube_green.mesh               Reto Grieder
+primitives/cube/cube_orange.mesh              Reto Grieder
+primitives/cube/cube_red.mesh                 Reto Grieder
+primitives/plane/plane.mesh                   Reto Grieder
+primitives/sphere/sphere.mesh                 Felix Schulthess
+spacestation/CuboidBody.mesh                  Mirko Kaiser
+spacestation/CuboidConnBody.mesh              Mirko Kaiser
+spacestation/CuboidConnection.mesh            Mirko Kaiser
+spacestation/CuboidLandingZone.mesh           Mirko Kaiser
+spacetstaion/DoubleCuboidBody.mesh            Mirko Kaiser
+spacestation/satellitedish.mesh               Mirko Kaiser
+spacestation/SemiCircleCockpit.mesh           Mirko Kaiser
+spacestation/SolarPanel.mesh                  Mirko Kaiser
+spacestation/Thruster.mesh                    Mirko Kaiser
 can.mesh                                      Hagen Seifert
 Carrier.mesh                                  Felix Schulthess
-CockpitDebris.mesh                            Benjamin de Capitani
-Cone.mesh                                     Felix Schulthess
 crate.mesh                                    Reto Grieder
-cube_green.mesh                               Reto Grieder
-cube.mesh                                     Felix Schulthess
-cube_orange.mesh                              Reto Grieder
-cube_red.mesh                                 Reto Grieder
-CuboidBody.mesh                               Mirko Kaiser
-CuboidConnBody.mesh                           Mirko Kaiser
-CuboidConnection.mesh                         Mirko Kaiser
-CuboidLandingZone.mesh                        Mirko Kaiser
 cwrench.mesh                                  Felix Schulthess
-DoubleCuboidBody.mesh                         Mirko Kaiser
 drone.mesh                                    unknown
 DuBall1.mesh                                  Rocco Bottani, Massimo Maffioli
@@ -53,23 +63,13 @@
 ogrehead.mesh                                 unknown
 pirate.mesh                                   Felix Schulthess
-plane.mesh                                    Reto Grieder
 planet.mesh                                   Felix Schulthess
 rocket.mesh                                   Daniel Cristen
-satellitedish.mesh                            Mirko Kaiser
 satellite.mesh                                Felix Schulthess
-SemiCircleCockpit.mesh                        Mirko Kaiser
-SmallPart1.mesh                               Benjamin de Capitani
-SmallPart2.mesh                               Benjamin de Capitani
-SolarPanel.mesh                               Mirko Kaiser
 spacecruiser.mesh                             unknown
 spacecruiser_16.mesh                          Felix Schulthess
-sphere.mesh                                   Felix Schulthess
 starship.mesh                                 unknown
 swallow_mat.mesh                              David Gassner
-Thruster.mesh                                 Mirko Kaiser
 Transporter.mesh                              Benjamin de Capitani
 UEATransporter036.mesh                        Axel Bomhauer-Beins
 UEATransporter036T.mesh                       Axel Bomhauer-Beins
-WingDebris1.mesh                              Benjamin de Capitani
-WingDebris2.mesh                              Benjamin de Capitani
 